Bug 246665 - graphics/openjump: Update to 1.15
Summary: graphics/openjump: Update to 1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-22 20:15 UTC by Rainer Hurling
Modified: 2020-05-27 16:12 UTC (History)
2 users (show)

See Also:


Attachments
patch to update graphics/openjump from 1.14.1 to 1.15 (4.86 KB, patch)
2020-05-22 20:15 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2020-05-22 20:15:07 UTC
Created attachment 214765 [details]
patch to update graphics/openjump from 1.14.1 to 1.15

The update of graphics/openjump from version 1.14.1 to 1.15 release rev. 6241 brings important bugfixes and new features[1]:

  New Features
  * RasterLayerEditor can now apply a style to several layers (FR #263)
  * Implements FR #262 : copy info to clipboard (patch from Rashad)
  * FR#265 : add a plugin to make line from ordered points
  * Added 2 plugins for raster analysis:
     a) Kernel Analysis PlugIn: a tool to apply smoothing or edge detection 
        filters to a raster layer
     b) Crop-Warp Plugin: a set of tools to crop, move, scale, transform a 
        raster layer using another layer, geometry or the view as target

  Improvements
  * Improve calculation of polygon width/length attributes
  * #487 Improve performance of LayerNamePanel when it contains
    ColorThemingStyle with many items
  * Speed-up layers with theming style (see also #487)
  * Clean and improve ExtractLayersByAttribute

  Bug Fixes
  * Fix #488 color ramp inverted
  * bugfix #489 "Veneto Region (Italy) WMS service does not work on OpenJump"
    wms now follows http redirections by default
  * Display a message instead of throwing an exception if a WMS
    GetCapabilies has an empty tag WMT_MS_Capabilies/Service/Title
  * fix bug in MakeValidOp
  * fix bug in Spatialite datasources management, where spatial index query was not built
    even if a spatial index was defined on the geometric column

  PLUS
  * OpenKLEM updated
  * Update GraphToolBox extension to 0.6.3 (small improvement)
  * Upgrade concave-hull to 0.3 (remember last used parameter)
  * add new capabilities to SetAttributes extension 0.8

[1] https://sourceforge.net/projects/jump-pilot/files/OpenJUMP/1.15/



Tested on Poudriere with HEADa+i, 12.1a+i and 11.3a+i. Also, 'portlint -AC' seems happy.
Comment 1 Steve Wills freebsd_committer 2020-05-22 20:53:38 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/148808908
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-23 11:01:09 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 Fernando Apesteguía freebsd_committer 2020-05-23 11:02:01 UTC
(In reply to Fernando Apesteguía from comment #2)
Never mind previous message, bad browser tab.
Comment 4 commit-hook freebsd_committer 2020-05-27 16:11:24 UTC
A commit references this bug:

Author: fernape
Date: Wed May 27 16:11:18 UTC 2020
New revision: 536697
URL: https://svnweb.freebsd.org/changeset/ports/536697

Log:
  graphics/openjump: Update to 1.15

  PR:	246665
  Submitted by:	rhurlin@gwdg.de (maintainer)

Changes:
  head/graphics/openjump/Makefile
  head/graphics/openjump/distinfo
  head/graphics/openjump/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2020-05-27 16:12:17 UTC
Committed,

Thanks!